#!/bin/sh
#----------------------------------------------------------------------------
# /var/install/bin/inadyn-status-mail.sh - send status mail
#
# Creation:     2011-07-18 starwarsfan
#
# Copyright (c) 2011-2013 The eisfair Team, team(at)eisfair(dot)org
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

#exec 2> `pwd`/inadyn-status-mail-trace$$.log
#set -x

if [ -e /usr/sbin/sendmail ]; then
    # Source files
    . /etc/config.d/base
    . /etc/config.d/cui-inadyn
    if [ -n "${INADYN_MAIL_TO}" ] ; then
        {
            echo "From: Mailer-Daemon <${HOSTNAME}@${DOMAIN_NAME}>"
            echo "To: ${INADYN_MAIL_TO}"
            echo "Subject: Inadyn updated DDNS account"
            echo
            echo "Update time: $(date +'%Y-%m-%d %T')"
            echo
        } > /tmp/inadyn-update-$$.txt

        cat /tmp/inadyn-update-$$.txt | /usr/sbin/sendmail ${INADYN_MAIL_TO}
        rm -f /tmp/inadyn-update-$$.txt
    else
        echo "No email address configured on inadyn configuration"
    fi
else
    echo "A mail package is required to let inadyn send status mails!"
    exit 1
fi
exit 0
