#!/bin/sh
#------------------------------------------------------------------------------
# eisfair configuration update script
# Copyright 2007 - 2017 the eisfair team, team(at)eisfair(dot)org
#------------------------------------------------------------------------------

# include configlib
. /var/install/include/configlib

packages_name='sabredav'

### ---------------------------------------------------------------------------
### read old and default variables
### ---------------------------------------------------------------------------
 . /etc/default.d/${packages_name}
 . /etc/config.d/${packages_name}


### ---------------------------------------------------------------------------
### Write config and default files
### ---------------------------------------------------------------------------
(
    printgpl --conf "$packages_name"
    #-----------------------------------------------------------------------
    printgroup "SABREDAV settings"
    #-----------------------------------------------------------------------

    printvar "START_SABREDAV" "Use SABREDAV service"

    printvar "SABREDAV_SQL_HOST" "MySQL host. (localhost or IP)"
    printvar "SABREDAV_SQL_USER" "MySQL user name"
    printvar "SABREDAV_SQL_PASS" "MySQL connet password"
    printvar "SABREDAV_SQL_DATABASE" "MySQL database name"

    printvar "SABREDAV_MAILUSER" "Email users to send calendar notifications and invitations"

    #-----------------------------------------------------------------------
    printend
    #-----------------------------------------------------------------------

) > /etc/config.d/${packages_name}

chmod 0640 /etc/config.d/${packages_name}
chown root /etc/config.d/${packages_name}

### ---------------------------------------------------------------------------
exit 0
