#!/bin/sh
# eisfair configuration update script
# Copyright 2007 - 2017 the eisfair team, team(at)eisfair(dot)org
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# ------------------------------------------------------------------------------

# include configuarion
. /etc/config.d/sabredav

# create SQL table
/usr/bin/mysql -u root -e "CREATE USER IF NOT EXISTS '${SABREDAV_SQL_USER}'@'${SABREDAV_SQL_HOST}' IDENTIFIED BY '$SABREDAV_SQL_PASS'; \
                        CREATE DATABASE IF NOT EXISTS $SABREDAV_SQL_DATABASE CHARACTER SET utf8; \
                        GRANT ALL PRIVILEGES ON ${SABREDAV_SQL_DATABASE}.* TO '${SABREDAV_SQL_USER}'@'${SABREDAV_SQL_HOST}'; \
                        COMMIT;"
if [ $? -eq 0 ]
then
    /usr/bin/mysql -h $SABREDAV_SQL_HOST -D $SABREDAV_SQL_DATABASE -u $SABREDAV_SQL_USER -p$SABREDAV_SQL_PASS < /usr/share/doc/sabredav/sabredav.sql
fi

# update sabredav php configuration
sed -i "s|^\$config\['dbname'\].*|\$config['dbname'] = 'mysql:dbname=${SABREDAV_SQL_DATABASE};host=${SABREDAV_SQL_HOST}';|" /etc/sabredav/config.inc.php
sed -i "s|^\$config\['dbuser'\].*|\$config['dbuser'] = '$SABREDAV_SQL_USER';|"      /etc/sabredav/config.inc.php
sed -i "s|^\$config\['dbpass'\].*|\$config['dbpass'] = '$SABREDAV_SQL_PASS';|"      /etc/sabredav/config.inc.php
sed -i "s|^\$config\['mailuser'\].*|\$config['mailuser'] = '$SABREDAV_MAILUSER';|"  /etc/sabredav/config.inc.php

