/* ---------------------------------------------------------------------
 * File: textdlg.h
 * (multiline text input dialog)
 *
 * Copyright (C) 2017
 * Daniel Vogel, <daniel_vogel@t-online.de>
 *
 * Last Update:  $Id$
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 * ---------------------------------------------------------------------
 */

#ifndef TEXTDLG_H
#define TEXTDLG_H

#include "cui.h"

#define MAX_ML_INPUT_SIZE (64 * 1024)

typedef struct
{
	wchar_t Text[MAX_ML_INPUT_SIZE + 1];
} TEXTDLGDATA;


CUIWINDOW*   TextDlgNew(CUIWINDOW* parent, const wchar_t* title, int sflags, int cflags);
TEXTDLGDATA* TextDlgGetData(CUIWINDOW* win);

#endif
